<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>tricks</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <table style="width: 100%">
      <colgroup>
        <col style="width: 0%" />
        <col style="width: 8%" />
        <col style="width: 19%" />
        <col style="width: 68%" />
        <col style="width: 2%" />
        <col style="width: 0%" />
      </colgroup>
      <thead>
        <tr class="header">
          <th>Issue #</th>
          <th>Problem Name</th>
          <th>Problem Description</th>
          <th>Possible Solutions</th>
          <th>Verified Solutions</th>
          <th>Links</th>
        </tr>
      </thead>
      <tbody>
        <tr class="odd">
          <td>1</td>
          <td>Hard Ubuntu Reset</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr class="even">
          <td>2</td>
          <td>
            Ubuntu File System input/output error when trying to cross from
            linux to ubuntu file system
          </td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr class="odd">
          <td>3</td>
          <td>
            The terminal exited with code 1 on Windows 10 (with WSL as the
            default shell)#
          </td>
          <td>
            This can happen if Windows Subsystem for Linux (WSL) is not set up
            with a valid default Linux distribution.<br />
            <br />
            Note: ‘docker-desktop-data’ is not a valid distribution.<br />
            <br />
          </td>
          <td>
            Open PowerShell and enter wslconfig.exe /l to confirm WSL is
            installed correctly and list the currently available Linux
            distributions within your system. Confirm a valid distribution has
            (default) next to it.<br />
            To change the default distribution, enter wslconfig.exe /setdefault
            “distributionNameAsShownInList”<br />
            The terminal not working when running the 32-bit Windows client on
            64-bit Windows?#<br />
            The easy fix for this issue is to use the 64-bit version. If you
            must use the 32-bit version, you need to use the sysnative path when
            configuring your shell path instead of System32. Adding this setting
            should fix the issue:<br />
            <br />
            “terminal.integrated.shell.windows”: “C:\Windows\Sysnative\cmd.exe”,
          </td>
          <td></td>
          <td></td>
        </tr>
        <tr class="even">
          <td>4</td>
          <td>pubkey authentication for digital ocean droplet</td>
          <td></td>
          <td>
            https://www.linode.com/community/questions/413/i-get-the-error-permission-denied-publickey-when-i-connect-with-ssh
          </td>
          <td></td>
          <td></td>
        </tr>
        <tr class="odd">
          <td>5</td>
          <td>npm-error-npm-err-code-elifecycle</td>
          <td></td>
          <td>
            369<br />
            <br />
            Step 1: $ npm cache clean –force<br />
            <br />
            Step 2: Delete node_modules by $ rm -rf node_modules
            package-lock.json folder or delete it manually by going into the
            directory and right-click &gt; delete / move to trash. Also, delete
            package-lock.json file too.<br />
            <br />
            Step 3: npm install<br />
            <br />
            To start again, $ npm start
          </td>
          <td></td>
          <td></td>
        </tr>
      </tbody>
    </table>
  </body>
</html>
